Subject: bug#3873 closed by Chong Yidong <[email-masked]> (Re: bug#3873: 23.1.50; docstring of `region-active-p' is nonsensical)

From: [email-masked] (Emacs bug Tracking System)
Date: Sat, 18 Jul 2009 17:45:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#3873: 23.1.50; docstring of `region-active-p' is nonsensical

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
3873: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3873
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3873: 23.1.50; docstring of `region-active-p' is nonsensical
From: Chong Yidong <[email-masked]>
To: MON KEY <[email-masked]>
Cc: Lennart Borgman <[email-masked]>, [email-masked]
Date: Sat, 18 Jul 2009 13:40:53 -0400

> Commands which act on the region may require to test if it is active;
> if Transient Mark mode is enabled; or if it is otherwise at the text
> near point should use `use-region-p' instead.

I'm afraid this sentence is even more confusing.

I checked a different fix into CVS.

Subject: 23.1.50; docstring of `region-active-p' is nonsensical
From: MON KEY <[email-masked]>
To: [email-masked]
Date: Fri, 17 Jul 2009 14:05:02 -0400

docstring of `region-active-p' is nonsensical.

"Most commands that act on the region if it is active and
Transient Mark mode is enabled, and on the text near point
otherwise, should use `use-region-p' instead.  That function
checks the value of `use-empty-active-region' as well."

In particular, this clause;
", and on the text near point otherwise,"

I am a native english speaker and have _NO CLUE_ what this is trying to say.

While I am somewhat aware of the idiosyncrasies of transient mark,
region, etc. and the baggage involved in this particular arena of
documentation. There doesn't seem to be any good reason for this
docstring to be quit so obtuse.

I believe this was touched upon (and/or skirted around) here:
(URL `http://lists.gnu.org/archive/html/emacs-devel/2009-05/msg00563.html')

Was there any resolution?

;;; ==============================
In GNU Emacs 23.1.50.1 (i386-mingw-nt5.1.2600)
 of 2009-06-30 on LENNART-69DE564 (patched)
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --cflags -Ic:/g/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  show-point-mode: t
  show-paren-mode: t
  display-time-mode: t
  auto-image-file-mode: t
  server-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  noticeable-minibuffer-prompts-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t